## nip2 8.7.1

=== doc/Makefile ===
#

.PHONY: all
all: $(PS)
	cd src; $(MAKE) 

.PHONY: clean
clean: 
	cd src; $(MAKE) clean

.PHONY: install
install: 
	cd src; $(MAKE) install

=== debian/changelog ===
nip2 (8.7.1-4) unstable; urgency=medium

  * Adjust build dependency to libfftw3-dev (closes: #1025313).
  * Update Standards-Version to 4.6.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sun, 04 Dec 2022 20:17:50 +0100

nip2 (8.7.1-3) unstable; urgency=medium

  * Backport upstream fix for compilation with ICU 68+ (closes: #1011693).

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Thu, 26 May 2022 18:28:53 +0200

nip2 (8.7.1-2) unstable; urgency=medium

  * Remove unused libgoffice-0.10-dev build dependency (closes: #980419).
  * Add upstream metadata.
  * Update packaging bits.
  * Update Standards-Version to 4.5.1 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Tue, 19 Jan 2021 06:42:23 +0100

nip2 (8.7.1-1) unstable; urgency=medium

  * New upstream release.
  * Update homepage location.
  * Switch to short debhelper rules format.
  * Update watch file.
  * Update Standards-Version to 4.5.0 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Mon, 06 Jul 2020 19:20:34 +0200

=== debian/control ===
Source: nip2
Section: graphics
Priority: optional
Build-Depends: debhelper-compat (= 12), libglib2.0-dev, libpango1.0-dev,
 libatk1.0-dev, libgtk2.0-dev, libvips-dev, shared-mime-info,
 gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool,
 libfftw3-dev | fftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, zlib1g-dev,
 libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev,
 libfontconfig1-dev, libice-dev, gettext, libgsl-dev, libgraphviz-dev
Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
Standards-Version: 4.6.1
Homepage: https://github.com/libvips/nip2
Rules-Requires-Root: no

Package: nip2
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Recommends: iceweasel | firefox | abrowser | www-browser
Suggests: libvips-doc, libvips-tools
Description: spreadsheet-like graphical image manipulation tool
 nip2 is a graphical front end to the VIPS package.
 .
 VIPS is an image processing system designed with efficiency in mind.
 It is good with large images (ones that larger than the amount of RAM in
 your machine), and for working with colour.  It can perform many
 image manipulation tasks much faster than other packages such as
 ImageMagick and the GIMP and includes some special features such as
 creating single "mosaic" images from multiple parts.
 .
 VIPS consists of two main components: an image processing library
 with some command-line tools and a spreadsheet-like graphical user
 interface.  This package supplies the graphical interface.
 .
 With nip2, rather than directly editing images, you build
 relationships between objects in a spreadsheet-like fashion.  When
 you make a change somewhere, nip2 recalculates the objects affected by
 that change.  Since it is demand-driven this update is very fast,
 even for very, very large images.  nip2 is very good at creating
 pipelines of image manipulation operations.  It is not very good for
 image editing tasks like touching up photographs.  For that, a tool
 like the GIMP should be used instead.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_clean:
#	find $(CURDIR) -name Makefile.in\* -delete
#	$(RM) $(CURDIR)/m4/*.m4
	dh_clean

override_dh_auto_configure:
#	$(CURDIR)/autogen.sh
	dh_auto_configure

override_dh_auto_test:
	chmod u+x $(CURDIR)/test/test_all.sh
	dh_auto_test || true

override_dh_auto_install:
	dh_auto_install
	mkdir -p $(CURDIR)/debian/nip2/usr/share/pixmaps/
	cp $(CURDIR)/debian/misc/nip2.xpm \
		$(CURDIR)/debian/nip2/usr/share/pixmaps/
	mv $(CURDIR)/debian/nip2/usr/share/nip2/data/examples \
		$(CURDIR)/debian/nip2/usr/share/doc/nip2/examples
	ln -s ../../doc/nip2/examples \
		$(CURDIR)/debian/nip2/usr/share/nip2/data/
	mkdir -p $(CURDIR)/debian/nip2/usr/share/metainfo/
	mv $(CURDIR)/debian/nip2/usr/share/appdata/nip2.appdata.xml \
		$(CURDIR)/debian/nip2/usr/share/metainfo/

%:
	dh $@ --fail-missing

.PHONY: override_dh_clean override_dh_auto_configure override_dh_auto_test \
	override_dh_auto_install

## nip2 8.9.1

=== debian/changelog ===
nip2 (8.9.1-2) unstable; urgency=medium

  * Backport upstream fixes for compilation with GCC 15 (closes: #1097468):
    - do not redeclare statfs(),
    - declare function arguments for function pointer.
  * Switch pkg-config dependency to pkgconf.
  * Refer online version of Free Software Foundation licence.
  * Update Standards-Version to 4.7.2 .

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Sat, 06 Sep 2025 10:41:32 +0200

nip2 (8.9.1-1) unstable; urgency=medium

  * New upstream release.

 -- Laszlo Boszormenyi (GCS) <gcs@debian.org>  Wed, 19 Jul 2023 21:53:42 +0200

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,11 @@
 Build-Depends: debhelper-compat (= 12), libglib2.0-dev, libpango1.0-dev,
  libatk1.0-dev, libgtk2.0-dev, libvips-dev, shared-mime-info,
  gnome-icon-theme, hicolor-icon-theme, flex, bison, intltool,
- libfftw3-dev | fftw3-dev, libxml2-dev, pkg-config, libjpeg-dev, zlib1g-dev,
- libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype6-dev,
- libfontconfig1-dev, libice-dev, gettext, libgsl-dev, libgraphviz-dev
+ libfftw3-dev | fftw3-dev, libxml2-dev, pkgconf, libjpeg-dev, zlib1g-dev,
+ libpng-dev, libmagickcore-dev, libmagickwand-dev, libfreetype-dev,
+ libfontconfig-dev, libice-dev, gettext, libgsl-dev, libgraphviz-dev
 Maintainer: Laszlo Boszormenyi (GCS) <gcs@debian.org>
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/libvips/nip2
 Rules-Requires-Root: no

=== debian/rules ===
--- 
+++ 
@@ -19,6 +19,11 @@
 
 override_dh_auto_install:
 	dh_auto_install
+	$(RM) -r $(CURDIR)/debian/nip2/usr/share/mime/
+	install -d $(CURDIR)/debian/nip2/usr/share/mime/packages/
+	install -m0644 $(CURDIR)/nip2.xml \
+	       	$(CURDIR)/debian/nip2/usr/share/mime/packages/
+	$(RM) -f $(CURDIR)/debian/nip2/usr/share/applications/mimeinfo.cache
 	mkdir -p $(CURDIR)/debian/nip2/usr/share/pixmaps/
 	cp $(CURDIR)/debian/misc/nip2.xpm \
 		$(CURDIR)/debian/nip2/usr/share/pixmaps/

=== debian/watch ===
version=4
https://github.com/libvips/nip2/tags .*/releases\/tag/v?(\d\S*)
